#include "bullet.h"
 
Texture Bullet::Textur;
 
Bullet::Bullet(String tex)
{
	Speed = .7f;
	Active = true;
 
	Textur.loadFromFile(tex);
 
	Textur.setSmooth(false);
	BulletSprite.setTexture(Textur);
}
 
void Bullet::Update(RenderWindow &Window, float ElapsedTime)
{
	if(Active)
	{
		float x = BulletSprite.getPosition().x;
		float y = BulletSprite.getPosition().y;
 
		if(y >= -10)
		{
			y -= Speed*ElapsedTime;
		} else {
			Active = false;
		}
 
		BulletSprite.setPosition(x,y);
	}
}
 
void Bullet::Render(RenderWindow &Window)
{
	if(Active)
	{
		Window.draw(BulletSprite);
	}
}
 
void Bullet::SetPosition(float X, float Y)
{
	BulletSprite.setPosition(X,Y);
}