#include <SFML/Graphics.hpp>
 
using namespace sf;
 
int main()
{
	RenderWindow window(VideoMode(800, 600), "Unser erstes SFML Projekt");
	Texture Raumschifftextur;
 
	Raumschifftextur.loadFromFile("raumschiff.png");
	Sprite Raumschiffsprite(Raumschifftextur);
 
	Raumschiffsprite.setOrigin(17.5f, 17.5f);
	Raumschiffsprite.setPosition(400,300);
 
	while(window.isOpen())
	{
		Event event;
 
		while(window.pollEvent(event))
		{
			if(event.type == Event::Closed)
				window.close();
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Left))
		{
			Raumschiffsprite.move(-1,0);
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Right))
		{
			Raumschiffsprite.move(1,0);
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Up))
		{
			Raumschiffsprite.move(0,-1);
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Down))
		{
			Raumschiffsprite.move(0,1);
		}
 
		window.clear(Color(0,100,255));
		window.draw(Raumschiffsprite);
 
		window.display();
	}
 
	return 0;
}