#include <iostream>
#include <SFML/Graphics.hpp>
 
using namespace sf;
 
int main()
{
	RenderWindow window(VideoMode(800, 600), "Unser erstes SFML Projekt");
	Texture Raumschifftextur;
	Clock clock;
	Font font;
	float speed = 0.1f;
 
	Raumschifftextur.loadFromFile("raumschiff.png");
	Sprite Raumschiffsprite(Raumschifftextur);
 
	font.loadFromFile("arial.ttf");
 
	Text testtext("Ich bin ein Testtext", font, 20);
	testtext.setPosition(400,0);
 
	Raumschiffsprite.setOrigin(17.5f, 17.5f);
	Raumschiffsprite.setPosition(400,300);
 
	while(window.isOpen())
	{
		Event event;
 
		float ElapsedTime = clock.restart().asMilliseconds();
 
		while(window.pollEvent(event))
		{
			if(event.type == Event::Closed)
				window.close();
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Left))
		{
			Raumschiffsprite.move(-speed*ElapsedTime,0);
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Right))
		{
			Raumschiffsprite.move(speed*ElapsedTime,0);
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Up))
		{
			Raumschiffsprite.move(0,-speed*ElapsedTime);
		}
 
		if(Keyboard::isKeyPressed(Keyboard::Down))
		{
			Raumschiffsprite.move(0,speed*ElapsedTime);
		}
 
		window.clear(Color(0,100,255));
		window.draw(Raumschiffsprite);
		window.draw(testtext);
		window.display();
	}
 
	return 0;
}