#include <iostream>
#include <SFML/Graphics.hpp>
#include "raumschiff.h"

using namespace sf;

int main()
{
	RenderWindow window(VideoMode(800, 600), "Unser erstes SFML Projekt");
	Clock clock;
	Font font;
	Raumschiff Schiff("raumschiff.png");

	font.loadFromFile("arial.ttf");

	Text testtext("Ich bin ein Testtext", font, 20);
	testtext.setPosition(400,0);

	while(window.isOpen())
	{
		Event event;

		float ElapsedTime = clock.restart().asMilliseconds();

		while(window.pollEvent(event))
		{
			if(event.type == Event::Closed)
				window.close();
		}

		window.clear(Color(0,100,255));

		window.draw(testtext);
		Schiff.Update(window, ElapsedTime);
		Schiff.Render(window);

		window.display();
	}

	return 0;
}