#include "raumschiff.h"
 
Raumschiff::Raumschiff(String tex)
{
	Speed = 1.0f;
 
	if(!Textur.loadFromFile(tex))
	{
		std::cout << "Textur konnte nicht geladen werden." << std::endl;
	} else {
		std::cout << "Textur wurde erfolgreich geladen." << std::endl;
	}
 
	Textur.setSmooth(false);
	Sprite.setTexture(Textur);
	Sprite.setOrigin(17.5f, 17.5f);
	Sprite.setPosition(160.f, 120.f);
}
 
void Raumschiff::Update(RenderWindow &Window, float ElapsedTime)
{
 
	if(Keyboard::isKeyPressed(Keyboard::Left))
	{
		Sprite.move(-Speed*ElapsedTime,0);
	}
 
	if(Keyboard::isKeyPressed(Keyboard::Right))
	{
		Sprite.move(Speed*ElapsedTime,0);
	}
 
	if(Keyboard::isKeyPressed(Keyboard::Up))
	{
		Sprite.move(0,-Speed*ElapsedTime);
	}
 
	if(Keyboard::isKeyPressed(Keyboard::Down))
	{
		Sprite.move(0,Speed*ElapsedTime);
	}
}
 
void Raumschiff::Render(RenderWindow &Window)
{
	Window.draw(Sprite);
}