#include <iostream>
#include <SFML/Graphics.hpp>
#include "raumschiff.h"
#include "asteroid.h"
 
using namespace sf;
 
int main()
{
	RenderWindow window(VideoMode(800, 600), "Unser erstes SFML Projekt");
	Clock clock;
	Font font;
 
	Raumschiff Schiff("raumschiff.png");
	Asteroid Astro("asteroid.png");
 
	while(window.isOpen())
	{
		Event event;
 
		float ElapsedTime = clock.restart().asMilliseconds();
 
		while(window.pollEvent(event))
		{
			if(event.type == Event::Closed)
				window.close();
		}
 
		window.clear(Color(0,100,255));
 
		Astro.Update(window, ElapsedTime);
		Schiff.Update(window, ElapsedTime);
 
		Astro.Render(window);
		Schiff.Render(window);
 
		window.display();
	}
 
	return 0;
}