#include <iostream>
#include <vector>
#include <SFML/Graphics.hpp>
#include "raumschiff.h"
#include "asteroid.h"
 
using namespace sf;
 
int main()
{
	RenderWindow window(VideoMode(800, 600), "Unser erstes SFML Projekt");
	Clock clock;
	Font font;
	std::vector<Asteroid> astros;
 
	Raumschiff Schiff("raumschiff.png");
 
	int timecount = 0; 
	int random_x = 0;
 
	while(window.isOpen())
	{
		Event event;
 
		float ElapsedTime = clock.restart().asMilliseconds();
		timecount += ElapsedTime;
 
		while(window.pollEvent(event))
		{
			if(event.type == Event::Closed)
				window.close();
		}
 
		// Asteroiden Erstellung
		if(timecount >= 100)
		{
			random_x = (rand()%700)+1;
 
			Asteroid astro = Asteroid("asteroid.png");
			astro.SetPosition(random_x, -20);
			astros.push_back(astro);
 
			timecount = 0;
		}
 
		window.clear(Color(0,100,255));
 
		for (int i = 0; i < astros.size(); i++)
		{
			if(!astros[i].Active)
			{
				astros.erase(astros.begin()+i);
			}
 
			astros[i].Update(window, ElapsedTime);
			astros[i].Render(window);
		}
 
		Schiff.Update(window, ElapsedTime);
		Schiff.Render(window);
 
		window.display();
	}
 
	return 0;
}